## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 22
%bcond_without check

%global crate oxipng

Name:           rust-oxipng
Version:        5.0.1
Release:        %autorelease
Summary:        Lossless PNG compression optimizer

License:        MIT
URL:            https://crates.io/crates/oxipng
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump zopfli from 0.4.0 to 0.5.0
Patch:          oxipng-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Lossless PNG compression optimizer.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR MIT
# MIT
# MIT AND Zlib OR Apache-2.0 AND Zlib
# MIT OR Apache-2.0
# MIT OR Zlib OR Apache-2.0
# Unlicense OR MIT
# Zlib
# Zlib OR Apache-2.0 OR MIT
License:        Apache-2.0 AND MIT AND Zlib

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%doc CHANGELOG.md
%doc README.md
%{_bindir}/oxipng

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+binary-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+binary-devel %{_description}

This package contains library source intended for building other packages which
use the "binary" feature of the "%{crate}" crate.

%files       -n %{name}+binary-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+clap-devel %{_description}

This package contains library source intended for building other packages which
use the "clap" feature of the "%{crate}" crate.

%files       -n %{name}+clap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+filetime-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+filetime-devel %{_description}

This package contains library source intended for building other packages which
use the "filetime" feature of the "%{crate}" crate.

%files       -n %{name}+filetime-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libdeflater-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libdeflater-devel %{_description}

This package contains library source intended for building other packages which
use the "libdeflater" feature of the "%{crate}" crate.

%files       -n %{name}+libdeflater-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+parallel-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+parallel-devel %{_description}

This package contains library source intended for building other packages which
use the "parallel" feature of the "%{crate}" crate.

%files       -n %{name}+parallel-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rayon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rayon-devel %{_description}

This package contains library source intended for building other packages which
use the "rayon" feature of the "%{crate}" crate.

%files       -n %{name}+rayon-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+stderrlog-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+stderrlog-devel %{_description}

This package contains library source intended for building other packages which
use the "stderrlog" feature of the "%{crate}" crate.

%files       -n %{name}+stderrlog-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+wild-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wild-devel %{_description}

This package contains library source intended for building other packages which
use the "wild" feature of the "%{crate}" crate.

%files       -n %{name}+wild-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zopfli-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zopfli-devel %{_description}

This package contains library source intended for building other packages which
use the "zopfli" feature of the "%{crate}" crate.

%files       -n %{name}+zopfli-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Aug 18 2022 Fabio Valentini <decathorpe@gmail.com> 5.0.1-5
- Revert miniz_oxide downgrade from 0.5 to 0.4

* Tue Jan 25 2022 Fabio Valentini <decathorpe@gmail.com> 5.0.1-4
- Rebuild with thread_local 1.1.4 for RUSTSEC-2022-0006

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 5.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Jan 17 2022 Rémi Lauzier <remilauzier@protonmail.com> 5.0.1-2
- Update for zopfli 0.5

* Wed Dec 15 2021 Rémi Lauzier <remilauzier@protonmail.com> 5.0.1-1
- Update to version 5.0.1; Fixes RHBZ#1981211

* Sat Aug 07 2021 Fabio Valentini <decathorpe@gmail.com> 5.0.0-5
- Rebuild with crossbeam-deque 0.8.1 / 0.7.4 for CVE-2021-32810

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 5.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 12 2021 Rémi Lauzier <remilauzier@protonmail.com> 5.0.0-3
- Remove crc downgrade

* Mon Jul 12 2021 Rémi Lauzier <remilauzier@protonmail.com> 5.0.0-2
- Downgrade deps

* Mon Jul 12 2021 Rémi Lauzier <remilauzier@protonmail.com> 5.0.0-1
- Update to version 5.0.0; Fixes RHBZ#1981211

* Mon May 31 2021 Rémi Lauzier <remilauzier@protonmail.com> - 4.0.3-1
- Initial package

